Networking System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00 ] 1.0.x.x 1.0.5000.0 2.0.0.0 4.0.0.0 All public static members of this type are safe for multithreaded operations. No instance members are guaranteed to be thread safe. System.Object

The class provides a convenient way to modify the contents of a instance without creating a new instance for each modification.

The properties provide read/write access to the read-only properties so that they can be modified.

Provides a custom constructor for uniform resource identifiers (URIs) and modifies URIs for the class.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  The default constructor creates a new instance of the class with its properties initialized as follows.

  Property

  Initial Value

  Fragment

  Host

  "loopback"

  Password

  Path

  "/"

  Port

  -1

  Query

  Scheme

  "http"

  UserName

  Initializes a new instance of the class.

  0
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  is .

  is a zero length string or contains only spaces.

  -or-

  The parsing routine detected a scheme in an invalid form.

  -or-

  The parser detected more than two consecutive slashes in a URI that does not use the "file" scheme.

  -or-

  is in an invalid form and cannot be parsed.

  This constructor initializes a new instance of the class with the , , , , , , and properties set as specified in .

  If does not specify a scheme, the scheme defaults to "http:".

  Initializes a new instance of the class with the specified URI.

  A URI string.
  0
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  is .

  This constructor initializes a new instance of the class with the , , , , , , and properties set as specified in .

  Initializes a new instance of the class with the specified instance.

  An instance of the class.
  0
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  The instance is initialized with the property set to and the property set to . is initialized to the value -1 to indicate the default port for the scheme should be used, and the property is set to the slash character (/).

  Initializes a new instance of the class with the specified scheme and host.

  An Internet access protocol.
  A DNS-style domain name or IP address.
  0
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  is less than zero.

  The instance is initialized with the property set to , the property set to , and the property set to . The property is set to the slash character (/).

  If the is set to a value of -1, this indicates that the default port value for the will be used to connect to the .

  Initializes a new instance of the class with the specified scheme, host, and port.

  An Internet access protocol.
  A DNS-style domain name or IP address.
  An IP port number for the service.
  0
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  is less than zero.

  The instance is initialized with the property set to , the property set to , the property set to and the property set to .

  If the is set to a value of -1, this indicates that the default port value for the will be used to connect to the .

  Initializes a new instance of the class with the specified scheme, host, port number, and path.

  An Internet access protocol.
  A DNS-style domain name or IP address.
  An IP port number for the service.
  The path to the Internet resource.
  0
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  is less than zero.
  is not or , and does not have as its first character a number sign ('#') indicating a fragment, or a question mark ('?') indicating a query.

  The instance is initialized with the property set to , the property set to , the property set to , and the property is set to . If begins with a number sign (#), then is set to . If begins with a question mark (?), then is set to .

  If the is set to a value of -1, this indicates that the default port value for the will be used to connect to the .

  Initializes a new instance of the class with the specified scheme, host, port number, path and query string or fragment identifier.

  An Internet access protocol.
  A DNS-style domain name or IP address.
  An IP port number for the service.
  The path to the Internet resource.
  A query string or fragment identifier.
  0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean ``

  The method compares a specified instance with the instance built by the instance. If the two are the same, the method returns true.

  Compares an existing instance with the contents of the for equality.

  true if represents the same as the constructed by this instance; otherwise, false.

  The object to compare with the current instance. 0
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String

  A containing the fragment component of the URI represented by the current instance.

  The property contains any text following a fragment marker (#) in the URI, including the marker itself. When setting the property, the fragment marker is added to its value. Note In version 1.0 and 1.1 of the .NET Framework, setting the property to any value, including null, cleared the property, and setting the property to null or to cleared the property. In version 2.0, however, the and properties are independent.

  Note Do not append a string directly to this property. If the length of is greater than 1, retrieve the property value as a string, remove the leading pound sign, append the new query string, and set the property with the combined string.

  Gets or sets the fragment portion of the URI.

  0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32

  The hash code is generated without including any fragment. The URIs http://www.contoso.com/index.htm#search and http://www.contoso.com/index.htm generate the same hash code.

  The hash codes for A and B are guaranteed to be the same when A.Equals(B) is true.

  This method implements .

  Returns the hash code for the URI.

  The hash code generated for the URI.

  0
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String

  A containing the DNS host name or IP address of the host machine.

  The property contains the fully qualified DNS host name or IP address of the server.

  Gets or sets the Domain Name System (DNS) host name or IP address of a server.

  0
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String

  A containing the password used to access the resource represented by the current instance.

  Specifying for a set operation sets this property to .

  Gets or sets the password associated with the user that accesses the URI.

  0
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String

  A containing the path to the resource represented by the current instance.

  The property contains the path information that the server uses to resolve requests for information. Typically this is the path to the desired information on the server's file system; although it also can indicate the application or script that the server must run to provide the information.

  The path information does not include the scheme, host name, or query portion of the URI. The property always returns at least a slash (/).

  Gets or sets the path to the resource referenced by the URI.

  0
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32

  A containing a non-negative port number or -1.

  The value specified for a set operation was less than zero.

  The port number defines the protocol port for contacting the host referenced in the URI. If a port is not specified as part of the URI, the property returns the value of -1 to indicate that the default port value for the protocol scheme will be used to connect to the host. If the property is set to a value of -1, this indicates that the default port value for the protocol scheme will be used to connect to the host.

  Gets or sets the port number of the URI.

  0
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String

  A containing the query component of the URI represented by the current instance.

  The property contains any query information included in the URI. Query information is separated from the path information by a question mark (?) and continues to the end of the URI. The query information returned includes the leading question mark.

  The query information is escaped according to RFC 2396.

  Note In version 1.0 and 1.1 of the .NET Framework, setting the property to any value, including null, cleared the property, and setting the property to null or to cleared the property. In version 2.0, however, the and properties are independent.

  Note Do not append a string directly to this property. If the length of is greater than 1, retrieve the property value as a string, remove the leading question mark, append the new query string, and set the property with the combined string.

  Gets or sets any query information included in the URI.

  0
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String

  A containing the scheme component of the current instance.

  The following table lists the valid scheme names for the property.

  Scheme

  Description

  file

  The resource is a file on the local computer.

  ftp

  The resource is accessed through FTP.

  gopher

  The resource is accessed through the Gopher protocol.

  http

  The resource is accessed through HTTP.

  https

  The resource is accessed through SSL-encrypted HTTP.

  mailto

  The resource is an e-mail address and is accessed through SMTP.

  news

  The resource is accessed through NNTP.

  Gets or sets the scheme name of the URI.

  0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String

  The display string contains the property value if the property was set or the port was specified when the was constructed using of the methods that accept a port number parameter except for the case when the .property value was set to a value of -1 to indicate the default port.

  The display string does not contain the property value if the property was not set and a port was not specified when the was constructed. The display string also does not contain the property value if the property or port number for the constructor was set to a value of -1.

  Returns the display string for the specified instance.

  The string that contains the unescaped display string of the .

  0
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Uri

  A containing the URI components of the current instance.

  The URI constructed using the string representation of the current instance is in an invalid form.

  The property contains the created by the . Any changes made to the properties are reflected in the property.

  Gets the instance constructed by the specified instance.

  0
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String

  A containing the user name used to access the resource identified by the current instance.

  Specifying for a set operation sets this property to .

  The user name associated with the user that accesses the URI.

  0
0